%global momorel 5

Summary: DjVu viewers, encoders and utilities
Name:    djvulibre
Version: 3.5.22
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Publishing
URL: http://djvulibre.djvuzone.org/
Source0: http://dl.sourceforge.net/sourceforge/djvu/%{name}-%{version}.tar.gz 
NoSource: 0
#Patch0: djvulibre-3.5.18-plugin-manpage.patch
Patch1: djvulibre-3.5.19-ja-encoding.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt3-devel
BuildRequires: qt3-designer
BuildRequires: libjpeg-devel >= 8a
BuildRequires: libtiff-devel
BuildRequires: glibc-devel
BuildRequires: qt-devel
BuildRequires: xdg-utils
Requires: desktop-file-utils
Requires: shared-mime-info
Requires(post): xdg-utils
Requires(preun): xdg-utils

%description
DjVu is a web-centric format and software platform for distributing documents
and images. DjVu can advantageously replace PDF, PS, TIFF, JPEG, and GIF for
distributing scanned documents, digital documents, or high-resolution pictures.
DjVu content downloads faster, displays and renders faster, looks nicer on a
screen, and consume less client resources than competing formats. DjVu images
display instantly and can be smoothly zoomed and panned with no lengthy
re-rendering.

DjVuLibre is a free (GPL'ed) implementation of DjVu, including viewers,
decoders, simple encoders, and utilities. The browser plugin is in its own
separate sub-package.


%package libs
Summary: Library files for DjVuLibre
Group: System Environment/Libraries

%description libs
Library files for DjVuLibre.


%package mozplugin
Summary: Mozilla plugin for DjVuLibre
Group: Applications/Internet
Provides: mozilla-djvulibre = %{version}-%{release}
# The plugin isn't library based, it seems to fork the viewer application
Requires: %{name} = %{version}-%{release}

%description mozplugin
Mozilla plugin for DjVuLibre.


%package devel
Summary: Development files for DjVuLibre
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: pkgconfig

%description devel
Development files for DjVuLibre.


%prep
%setup -q
#%%patch0 -p1 -b .plugin-manpage
%patch1 -p1 -b .ja-encoding
# Convert ISO8859-1 ja man pages to UTF-8 (still as of 3.5.20-2)
for manpage in i18n/ja/*.1*; do
    iconv -f iso8859-1 -t utf-8 -o tmp ${manpage}
    mv tmp ${manpage}
done

%build
%configure
# Disable rpath on 64bit - NOT! It makes the build fail (still as of 3.5.20-2)
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# In 3.5.14 %{?_smp_mflags} broke the build - still in 3.5.20-2
%{__make} OPTS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
# Move plugin from the netscape directory to the main mozilla one
%{__mkdir_p} %{buildroot}%{_libdir}/mozilla/plugins/
%{__mv} %{buildroot}%{_libdir}/netscape/plugins/nsdejavu.so \
        %{buildroot}%{_libdir}/mozilla/plugins/nsdejavu.so

# Fix for the libs to get stripped correctly (still required in 3.5.20-2)
find %{buildroot}%{_libdir} -name '*.so*' | xargs %{__chmod} +x


# remove *.la
# rm -rf %{buildroot}%{_libdir}/lib*.la


%clean
rm -rf %{buildroot}

%post
# Menu entry (icons and desktop file)
%{_datadir}/djvu/djview3/desktop/register-djview-menu install || :
# MIME types (icons and desktop file)
%{_datadir}/djvu/osi/desktop/register-djvu-mime install || :

%preun
# Removal, not update
if [ $1 -eq 0 ]; then
    # Menu entry (icons and desktop file)
    %{_datadir}/djvu/djview3/desktop/register-djview-menu uninstall || :
    # MIME types (icons and desktop file)
    %{_datadir}/djvu/osi/desktop/register-djvu-mime uninstall || :
fi


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/djvu/
%{_mandir}/man1/*
%lang(ja) %{_mandir}/ja/man1/*

%files libs
%defattr(-,root,root,-)
%doc README COPYRIGHT COPYING NEWS TODO
%{_libdir}/*.so.*

%files mozplugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/nsdejavu.so

%files devel
%defattr(-,root,root,-)
%doc doc/*.*
%{_includedir}/libdjvu/
%{_libdir}/pkgconfig/ddjvuapi.pc
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.22-5m)
- full rebuild for mo7 release

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.5.22-4m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.5.22-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Sep  3 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.5.22-2m)
- rebuild against libjpeg-7

* Wed May 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.5.22-1m)
- update to 3.5.22

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.5.20-2m)
- rebuild against rpm-4.6

* Thu Jul 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5.20-1m)
- update to 3.5.20 (sync Fedora)

* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.17-6m)
- add Prereq: desktop-file-utils and Prereq: shared-mime-info

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.17-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5.17-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.17-4m)
- %%NoSource -> NoSource

* Fri Jun 15 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.17-3m)
- convert ja.man(UTF-8)

* Tue Dec 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.17-2m)
- revise %%files to avoid conflicting
- %%{_libdir}/pkgconfig is already provided by pkgconfig

* Wed Dec 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.5.17-1m)
- initial packaging for Momonga
- - based on the src.rpm at the project page

* Mon Oct 31 2005 Leon Bottou <leon@bottou.org> 3.5.16-1
- Updated to 3.5.16-1
* Wed Jul  6 2005 Leon Bottou <leon@bottou.org> 3.5.15-1
- Updated to 3.5.15-1
* Thu Jun 17 2004 Leon Bottou <leon@bottou.org> 3.5.13-4
- changed runtime generation of file list.
* Mon May 31 2004 Leon Bottou <leon@bottou.org> 3.5.13-3
- removed 'make install-desktop-files'
* Wed May  5 2004 Leon Bottou <leon@bottou.org> 3.5.13-2
* Fri Apr  9 2004 Leon Bottou <leon@bottou.org> 3.5.13-1
- added runtime generation of file list.
- using DESTDIR instead of %makeinstall.
- added 'make install-desktop-files'
* Wed Nov  5 2003 Leon Bottou <leon@bottou.org> 3.5.12-3
- added support for i18n
- renamed symlink in mozilla plugin dirs.
* Mon Jul  7 2003 Leon Bottou <leon@bottou.org> 3.5.12-1
* Thu Apr 24 2003 Leon Bottou <leon@bottou.org> 3.5.11-1
* Thu Feb  6 2003 Leon Bottou <leon@bottou.org> 3.5.10-2
* Fri Jan 24 2003 Leon Bottou <leon@bottou.org> 3.5.10-1
* Wed Oct  9 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.9-2
- fixed logic for uninstalling nsdejavu links.
- learned a few tricks from the freshrpms spec file.
* Sun Oct  6 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.9-1
- added logic to install nsdejavu for mozilla.
* Wed May 29 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.6-1
* Mon Apr 1 2002  Leon Bottou <leonb@users.sourceforge.net> 3.5.5-2
- changed group to Applications/Publishing.
* Tue Mar 25 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.5-2
* Tue Jan 22 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.4-2
- added macros to locate man directory.
* Wed Jan 16 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.3-1
* Fri Dec  7 2001 Leon Bottou <leonb@users.sourceforge.net> 3.5.2-1
* Wed Dec  5 2001 Leon Bottou <leonb@users.sourceforge.net> 3.5.1-1
- created initial file.

